Create encrypted Cultural Intelligence profile
curl --request POST \
--url https://api.astrom8.com/v1/cultural-intelligence/orgs/{org_id}/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_date": "2023-12-25",
"birth_time": "08:30",
"birth_lat": 0,
"birth_lng": 0,
"birth_timezone_offset_minutes": 123,
"external_id": "<string>",
"profile_type": "employee",
"birth_city": "<string>",
"locale": "th",
"market": "TH",
"tags": [
"<string>"
],
"consent_basis": "<string>"
}
'import requests
url = "https://api.astrom8.com/v1/cultural-intelligence/orgs/{org_id}/profiles"
payload = {
"birth_date": "2023-12-25",
"birth_time": "08:30",
"birth_lat": 0,
"birth_lng": 0,
"birth_timezone_offset_minutes": 123,
"external_id": "<string>",
"profile_type": "employee",
"birth_city": "<string>",
"locale": "th",
"market": "TH",
"tags": ["<string>"],
"consent_basis": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birth_date: '2023-12-25',
birth_time: '08:30',
birth_lat: 0,
birth_lng: 0,
birth_timezone_offset_minutes: 123,
external_id: '<string>',
profile_type: 'employee',
birth_city: '<string>',
locale: 'th',
market: 'TH',
tags: ['<string>'],
consent_basis: '<string>'
})
};
fetch('https://api.astrom8.com/v1/cultural-intelligence/orgs/{org_id}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile_id": "<string>",
"org_id": "<string>",
"profile_type": "<string>",
"market": "<string>",
"tags": [
"<string>"
],
"external_id": "<string>",
"consent_basis": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Cultural Intelligence
Create encrypted Cultural Intelligence profile
POST
/
v1
/
cultural-intelligence
/
orgs
/
{org_id}
/
profiles
Create encrypted Cultural Intelligence profile
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Path Parameters
Body
application/json
Example:
"08:30"
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Available options:
employee, member, customer, community_user, candidate, synthetic Available options:
th, en Response
Profile created without raw or encrypted birth data.
Public profile metadata. Raw and encrypted birth fields are intentionally omitted.
Available options:
active, deleted Available options:
th, en ⌘I